%global git_tag e1ac2000de46fad83b39edc6a0d16103df4f8889

Name:           eclipse-launchbar
Version:        1.0.0
Release:        0.2.gite1ac200%{?dist}
Summary:        Eclipse Launchbar plug-in
License:        EPL
URL:            https://wiki.eclipse.org/CDT/LaunchBar

Source0:        http://git.eclipse.org/c/cdt/org.eclipse.launchbar.git/snapshot/org.eclipse.launchbar-%{git_tag}.tar.gz


BuildArch:      noarch


BuildRequires: tycho
BuildRequires: tycho-extras
BuildRequires: eclipse-pde
BuildRequires: eclipse-license
BuildRequires: eclipse-remote

Requires:         jsch
Requires:         eclipse-platform >= 1:4.3.2

%description
This plugin provides an alternative to the default launcher toolbar in Eclipse

%prep
%setup -q -n org.eclipse.launchbar-%{git_tag}

find -name *.jar -exec rm -rf {} \;
find -name *.class -exec rm -rf {} \;

%pom_disable_module repo
%pom_disable_module tests/org.eclipse.launchbar.core.tests

%build
%mvn_build  -j -- -f pom.xml

%install
%mvn_install

%files -f .mfiles

%changelog
* Wed Jun 3 2015 Sopot Cela <scela@redhat.com>
- 1.0.0-0.2.gite1ac200
- Introduced git_tag global variable

* Wed Jun 3 2015 Sopot Cela <scela@redhat.com>
- 1.0.0-0.1.gite1ac200
- Initial packaging
